﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        GlobalSettings settings = new GlobalSettings();

        List<BasedForm> ControlledForms = new List<BasedForm>();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < 5; i++)
            {
                BasedForm nform = new BasedForm();
                // подписываем форму на измененеия
                settings.SettingsChange += (ox, ex) => { nform.UpdateState(ox as GlobalSettings); };

                // добавляем в список
                ControlledForms.Add(nform);                

                // показываем
                nform.Show();
                nform.TopMost = true;
                nform.Location = new Point(10 + ControlledForms.Count * nform.Width + 5, 20);

                // опционально, если файл настроек был загружен предварительно 
                nform.UpdateState(settings);
            }
        }

        private void CheckChangeBoxes(object sender, EventArgs e)
        {
            if(sender is CheckBox cbos)
            {
                if (cbos == checkBox1) settings.Button1Visible = cbos.Checked;
                if (cbos == checkBox2) settings.Button2Visible = cbos.Checked;
                if (cbos == checkBox3) settings.Button3Visible = cbos.Checked;
            }
        }
    }
}
