﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WindowsFormsApp1
{
    public class GlobalSettings
    {
        bool _button1Visible = true;
        bool _button2Visible = true;
        bool _button3Visible = true;

        public bool Button1Visible
        {
            get { return _button1Visible; }
            set
            {
                _button1Visible = value;
                SettingsChange?.Invoke(this, new EventArgs()); // можно прработать делегат чтобы передавать конкретное измененное свойство
            }
        }

        public bool Button2Visible
        {
            get { return _button2Visible; }
            set
            {
                _button2Visible = value;
                SettingsChange?.Invoke(this, new EventArgs()); // можно прработать делегат чтобы передавать конкретное измененное свойство
            }
        }

        public bool Button3Visible
        {
            get { return _button3Visible; }
            set
            {
                _button3Visible = value;
                SettingsChange?.Invoke(this, new EventArgs()); // можно прработать делегат чтобы передавать конкретное измененное свойство
            }
        }


        /// <summary>
        /// Событие обновления каких то параметров настроек
        /// </summary>
        public event EventHandler SettingsChange;
    }
}
